Sat May 02 10:08:30 1998  Leonard R. Budney <lbudney@pobox.com>

	* Fixed a bug in mc-pgpk which broke mailcrypt for small
	PGP keys; contributed by Eric Newton <ecn@smart.net>.

Sat Jan 31 20:05:30 1998  Leonard R. Budney <lbudney@pobox.com>

	* Version 3.5 released.

	* mc-pgp.el: parsers were extracted into two files, mc-pgp2.el and
	mc-pgp5.el to support multiple PGP versions.

	* mailcrypt.el: (mc-process-region) was cloned into two functions,
	mc-pgp2-process-region and mc-pgp5-process-region, because
	handling of PGP 5.0 is done very differently due to a broken
	batchmode.

	* mc-setversion.el: (mc-setversion) was added to toggle between
	various PGP versions.

	* expect.el: This file was added to incorporate expect-like
	functionality for handling PGP 5.0.  It was provided courtesy of
	Lars Magne Ingebrigtsen <[22]lmi@gnus.org>.

Tue Oct 10 15:53:01 1995  Patrick J. LoPresti  <patl@eiffel.lcs.mit.edu>

	* Version 3.4 released.

Wed Oct  4 18:25:02 1995  Patrick J. LoPresti  <patl@skyclad.lcs.mit.edu>

	* INSTALL: Document setting mc-pgp-comment to nil if using
	obsolete version of PGP.

	* mc-remail.el (mc-parse-levien-buffer): Allow remailers with
 	"mix" property, even if "pgp" and "cpunk" properties are lacking.
	(mc-generic-pre-encrypt-function): Don't try to
	expand-mail-aliases if 'mail-abbrevs is provided.

	* mc-pgp.el (mc-pgp-always-fetch): New variable.  Use to regulate
	key fetching.

Fri Sep 29 14:39:17 1995  Patrick J. LoPresti  <patl@skyclad.lcs.mit.edu>

	* mailcrypt.el (mc-deactivate-passwd): Don't give feedback unless
	called interactively.
	(mc-get-fields): Use `buffer-substring-no-properties' to get the
	body of the field as well as the name.  Egad.

Fri Sep 22 15:34:47 1995  Patrick J. LoPresti  <patl@skyclad.lcs.mit.edu>

	* mc-toplev.el (mc-gnus-verify-signature): Renamed from
	`mc-gnus-summary-verify-signature'.
	(mc-gnus-snarf-keys): Renamed from `mc-gnus-summary-snarf-keys'.
	(mc-gnus-decrypt-message): Renamed from
	`mc-gnus-summary-decrypt-message'.

	* mailcrypt.el (mc-modes-alist): Add `gnus-article-mode'.
	Reflect	name changes to Gnus support functions.

Wed Sep 20 09:30:53 1995  Patrick J. LoPresti  <patl@skyclad.lcs.mit.edu>

	* mc-toplev.el (mc-gnus-summary-decrypt-message): Bind
	`case-fold-search' to nil when matching "Gnus".

	* mailcrypt.el (mc-xemacs-p): "XEmacs", not "Xemacs".

Sat Sep 16 09:51:03 1995  Patrick J. LoPresti  <patl@skyclad.lcs.mit.edu>

	* mc-pgp.el (mc-pgp-encrypt-region): If no recipients, just armor
	file.
	(mc-pgp-msg-end-line): Match optional newline at end.
	(mc-pgp-encrypt-region): Don't honor mc-encrypt-for-me if only
	armoring.
	Output "Armoring..." if only armoring.

	* mc-toplev.el (mc-gnus-summary-decrypt-message): Don't
	bother trapping error on decrypt.
	Require Gnus version 5.0.4 or higher.
	Use new	`gnus-group-read-only-p' predicate.
	Pass t to `gnus-summary-edit-article'.
	(mc-encrypt-message): Punt check for no recipients.

Sun Sep 10 16:36:37 1995  Patrick J. LoPresti  <patl@skyclad.lcs.mit.edu>

	* mc-pgp.el (mc-pgp-decrypt-parser): Deal with armor-only files.

	* mc-remail.el (mc-eliminate-continuation-lines): New function.
	(mc-generic-pre-encrypt-function): Eliminate continuation lines in
	preserved headers.
	(mc-rewrite-for-mixmaster): Ditto.

Mon Sep  4 17:57:47 1995  Patrick J. LoPresti  <patl@skyclad.lcs.mit.edu>

	* mailcrypt.el (mc-process-region): Make sure we are in the source
 	buffer when starting process, in case `process-environment' is
 	buffer-local.

	* mc-remail.el (mc-rewrite-for-mixmaster): Signal error if
 	attempting to post through a Mixmaster.

Sun Sep  3 18:09:58 1995  Patrick J. LoPresti  <patl@skyclad.lcs.mit.edu>

	* mc-pgp.el (mc-pgp-decrypt-region): Add strategic
 	`save-excursion' calls to avoid changing buffers inside `let'.

Fri Sep  1 15:05:56 1995  Patrick J. LoPresti  <patl@skyclad.lcs.mit.edu>

	* mc-remail.el (mc-remailer-remove-property): New function.
	(mc-remailer-canonicalize-chain): Make second arg CHAINS-ALIST
	optional; default to `(mc-remailer-make-chains-alist)'.
	(mc-demix): New function.

	* mailcrypt.el (mc-process-region): Fix regexp to match "Process
	*PGP* killed" et al.

Thu Aug 31 12:52:44 1995  Patrick J. LoPresti  <patl@skyclad.lcs.mit.edu>

	* mc-toplev.el (mc-encrypt-message): Clean up.  Use
	`mc-get-fields' and `mc-strip-addresses'.

	* mailcrypt.el (mc-strip-addresses): New function. Use everywhere.
	
	* mc-remail.el (mc-remailer-choose-first): New function.
	(mc-remailer-choose-chain): New function.
	(mc-parse-levien-buffer): Add support for returning a "ranking" of
	remailers.
	(mc-remailer-canonicalize-elmt): Add support for using an integer
	N in a remailer-list to represent the top N remailers, shuffled
	randomly.
	(mc-strip-address): New function.  Use everywhere.

	* mc-toplev.el (mc-vm-decrypt-message): Bind `this-command' to
	`vm-edit-message-end' to trick VM into doing the right thing when
	redisplaying.

Sun Aug 27 13:12:22 1995  Patrick J. LoPresti  <patl@skyclad.lcs.mit.edu>

	* mc-toplev.el (mc-sign-generic): Only run hooks if signing was
	successful.

Sat Aug 26 09:18:51 1995  Patrick J. LoPresti  <patl@skyclad.lcs.mit.edu>

	* mc-toplev.el (mc-vm-decrypt-message): Bind `vm-frame-per-edit'
	to nil.

Fri Aug 25 17:41:28 1995  Patrick J. LoPresti  <patl@skyclad.lcs.mit.edu>

	* mc-toplev.el (mc-sign-generic): Return result of signing
	message, instead of always returning nil.

Mon Aug 21 11:58:07 1995  Patrick J. LoPresti  <patl@skyclad.lcs.mit.edu>

	* mailcrypt.el (mc-modes-alist): Add support for
	`vm-virutal-mode'.

Sun Aug 20 15:19:52 1995  Patrick J. LoPresti  <patl@skyclad.lcs.mit.edu>

	* Makefile.in (install): Use a loop for installing .elc files,
	since install-sh can't copy multiple files at once.

	* mc-toplev.el (mc-gnus-summary-decrypt-message): Back out 8/4
	change; call `gnus-summary-edit-article-postpone' instead.
	Call `gnus-version' function instead of reading variable.

Fri Aug  4 11:51:37 1995  Patrick J. LoPresti  <patl@skyclad.lcs.mit.edu>

	* mc-toplev.el (mc-gnus-summary-decrypt-message): Run
	`gnus-article-display-hook' after decrypting.

Wed Aug  2 10:05:06 1995  Patrick J. LoPresti  <patl@skyclad.lcs.mit.edu>

	* mailcrypt.el (mc-split): Use \\' instead of $ to match end of
	string.
	
Tue Aug  1 15:55:47 1995  Patrick J. LoPresti  <patl@skyclad.lcs.mit.edu>

	* Version 3.3 released.

Mon Jul 31 11:22:23 1995  Patrick J. LoPresti  <patl@skyclad.lcs.mit.edu>

	* mc-toplev.el (mc-rmail-decrypt-message): Use abstractions for
	keymaps to work with XEmacs.
	(mc-gnus-summary-decrypt-message): Clean up.
	(mc-gnus-summary-verify-signature): Don't display all headers.
	(mc-gnus-summary-snarf-keys): Ditto.

Sat Jul 29 11:47:51 1995  Patrick J. LoPresti  <patl@skyclad.lcs.mit.edu>

	* mc-pgp.el (mc-pgp-decrypt-region): Call `undo-boundary'.

Thu Jul 27 20:56:41 1995  Patrick J. LoPresti  <patl@skyclad.lcs.mit.edu>

	* load-path.hack: Give a friendly warning if a version of Emacs
	other than 19 is used to byte-compile.

Thu Jul 27 16:05:13 1995  Patrick J. LoPresti  <patl@eiffel.lcs.mit.edu>

	* configure.in: Use `EMACS19' instead of `EMACS' for autoconf
 	substitution variable, lest "configure" get confused when run
 	under an Emacs shell.

	* Makefile.in: Ditto.

Thu Jul 27 10:24:47 1995  Patrick J. LoPresti  <patl@skyclad.lcs.mit.edu>

	* mc-pgp.el (mc-pgp-keyserver-address): Use "pgp.ai.mit.edu"
	instead of "www-swiss.ai.mit.edu".

	* ANNOUNCE: Update version and date in preparation for 3.3
 	release.

	* INSTALL: Updated to reflect new installation directory and
	absolute requirement of `easymenu'.

	* mailcrypt.el (mc-process-region): Fix parenthesization error.
	Again.

Wed Jul 26 12:48:50 1995  Patrick J. LoPresti  <patl@eiffel.lcs.mit.edu>

	* mc-remail.el (mc-rewrite-for-remailer): Use `mc-encrypt-for-me'
	instead of `mc-encrypt-to-me', since there the latter does not
	exist.

Sun Jul 23 13:01:47 1995  Patrick J. LoPresti  <patl@skyclad.lcs.mit.edu>

	* mc-pgp.el (mc-pgp-decrypt-region): Clean up case where key is
	missing and we offer to fetch it.

Thu Jul 20 11:51:06 1995  Patrick J. LoPresti  <patl@skyclad.lcs.mit.edu>

	* mc-pgp.el (mc-pgp-newkey-re): Incorporate fix from Mike Long to
	only recognize key additions.

Wed Jul 19 10:50:55 1995  Patrick J. LoPresti  <patl@skyclad.lcs.mit.edu>

	* mailcrypt.el: Deal with unbound buffer-substring-no-properties
 	to work with Emacs 19.28 after all.

	* mc-pgp.el (mc-pgp-verify-region): Return nil if signature fails
	to verify.

	* mc-toplev.el (mc-sign-generic): Make sure start and end are
	markers before calling mc-pre-signature-hook.
	(mc-encrypt-generic): Ditto, mc-pre-encryption-hook.

	* mc-remail.el (mc-remailer-insert-response-block): Fix
 	parenthesization error.

	* mc-toplev.el (mc-gnus-summary-decrypt-message): Incorporate Fran
	Litterio's changes for (ding) GNUS.
	Clean up MH-E stuff a bit.  Should really redo it entirely at some
	point.

	* texi2html.ext: New file.

Tue Jul 18 14:26:00 1995  Patrick J. LoPresti  <patl@skyclad.lcs.mit.edu>

	* Fix stuff all over to silence byte compilation warnings under
	XEmacs.

	* mailcrypt.el: (require 'easymenu) outright.  Starting now we
 	demand at least FSF Emacs 19.28 or XEmacs 19.13.

Mon Jul 17 16:30:43 1995  Patrick J. LoPresti  <patl@skyclad.lcs.mit.edu>

	* Makefile.in: Minor tweaks.  Use `.../share/emacs/site-lisp'.

Sun Jul 16 13:48:06 1995  Patrick J. LoPresti  <patl@skyclad.lcs.mit.edu>

	* mc-pgp.el: Use "buffer-substring-no-properties" everywhere.  Feh.
	mc-remail.el: Ditto.
	
Sat Jul 15 01:41:18 1995  Patrick J. LoPresti  <patl@skyclad.lcs.mit.edu>

	* mc-pgp.el: Add "+language=en" to PGP command lines so that we
	are sure to parse the output correctly.

Wed Jul 12 16:37:37 1995  Patrick J. LoPresti  <patl@skyclad.lcs.mit.edu>

	* mc-toplev.el (mc-vm-verify-signature): Call vm-widen-page in
	case vm-honor-page-delimiters is set.
	(mc-vm-snarf-keys): Ditto.
	('mail-utils): Required for mail-fetch-field on some Emacsen.

Fri Jun 30 10:20:52 1995  Patrick J. LoPresti  <patl@skyclad.lcs.mit.edu>

	* mc-remail.el (mc-rewrite-news-to-mail): Nuke "Newsgroups" field.

Fri Jun 23 11:04:54 1995  Patrick J. LoPresti  <patl@skyclad.lcs.mit.edu>

	* Version 3.2 released.

	* mc-pgp.el (mc-pgp-fetch-key): Add "+batchmode" to PGP arglist.
	(mc-pgp-key-begin-line): Allow match only when delimiter string
	is the entire line.
	(mc-pgp-key-end-line): Likewise.

	* configure.in: New file.
	configure: New file.
	Makefile.in: New file.  Brought into conformance with GNU
	standards.
	INSTALL: Revised to reflect `autoconf'-generated configuration
	scheme.

	* mailcrypt.el (mc-deactivate-passwd, mc-activate-passwd): Do the
	right thing if both `timer' and `itimer' are present.

Thu Jun 22 16:57:49 1995  Patrick J. LoPresti  <patl@skyclad.lcs.mit.edu>

	* mc-pgp.el (mc-pgp-generic-parser): Include '\n' from final
	delimiter line.

Wed Jun 21 18:13:10 1995  Patrick J. LoPresti  <patl@skyclad.lcs.mit.edu>

	* mc-pgp.el (mc-pgp-fetch-key): Give a diagnostic if the key was
	not found.

Tue Jun 20 00:53:51 1995  Patrick J. LoPresti  <patl@skyclad.lcs.mit.edu>

	* mc-toplev.el (mc-rmail-view-quit): Mark buffer unmodified when
	quitting.

	* mailcrypt.el (mc-process-region): Don't rely on
	accept-process-output returning immediately if process is dead
	(for XEmacs' sake).

	* README: Revised (i.e., truncated) to reflect INSTALL file,
        Texinfo docs, and Web pages.

	* INSTALL: New file.

	* Makefile: New file.

Mon Jun 19 16:55:39 1995  Patrick J. LoPresti  <patl@catfish.lcs.mit.edu>

	* NEWS: New file.

	* mailcrypt.texi: New file.  Spent last few days getting this
	written and the Web pages up.

Fri Jun 16 17:55:14 1995  Patrick J. LoPresti  <patl@skyclad.lcs.mit.edu>

	* mc-pgp.el (mc-pgp-comment): New variable.

Thu Jun 15 00:33:44 1995  Patrick J. LoPresti  <patl@skyclad.lcs.mit.edu>

	* mc-pgp.el: New file.

	* mc-toplev.el: New file.

Wed Jun 14 16:51:00 1995  Patrick J. LoPresti  <patl@catfish.lcs.mit.edu>

	* mailcrypt.el (mc-pgp-fetch-from-keyrings): New function.
	(mc-pgp-fetch-keyring-list): New variable.
	Forgot to document most of the changes in the past week, oh well.
	(mc-scheme-pgp): New function to replace variable of same name in
	preparation for putting PGP support into its own file.

Thu Jun  8 13:16:50 1995  Patrick J. LoPresti  <patl@skyclad.lcs.mit.edu>

	* mailcrypt.el (mc-pgp-fetch-finger): New function.
	(mc-pgp-fetch-http): New function.
	(mc-pgp-fetch-key): New function.

Thu Jun  1 20:09:21 1995  Patrick J. LoPresti  <patl@skyclad.lcs.mit.edu>

	* mailcrypt.el (mc-encrypt-generic): Only use Email addresses in
	default-recipients.
	(mc-pgp-generic-parser): Fix parenthesis error causing non-nil
	return on bad passphrase.  Fix regular expression for bad
	passphrase.

Thu May 11 19:32:19 1995  Patrick J. LoPresti  <patl@skyclad.lcs.mit.edu>

	* mailcrypt.el (mc-pgp-display-snarf-output): New variable,
	defaults to nil.  If t, pop up a window to display the output of
	key snarfing.

	* mc-remail.el (mc-nuke-field): Do not clobber markers.  (This is
	the wrong place to do it anyway.)
	(mc-rewrite-for-remailer): Eliminate "Comment" and "From" headers
	after encryption.

Tue May  9 15:58:53 1995  Patrick J. LoPresti  <patl@eiffel.lcs.mit.edu>

	* mailcrypt.el (mc-modes-alist): Fix typos for mh-folder-mode and
	gnus-summary-mode.
	(mc-sign-message): Fix parenthesization error in let.

Mon May  8 22:27:20 1995  Patrick J. LoPresti  <patl@skyclad.lcs.mit.edu>

	* mailcrypt.el (mc-encrypt-region): New interactive function.
        Encrypts the current region by calling the appropriate function as
        determined by mc-modes-alist.
	(mc-encrypt-generic): New function; bottom level of
	scheme-independent encryption routines.
	(mc-encrypt-message): Rewritten to call mc-encrypt-generic.
	(mc-encrypt): Rewritten to just call mc-encrypt-region.
	Upshot of all this is to allow encryption in arbitrary buffers,
	not just message buffers.
	(mc-sign-region): New interactive function.
	(mc-sign-generic): New function; bottom level of
	scheme-independent signing routines.
	(mc-sign-message): Rewritten to call mc-sign-generic.
	(mc-sign): Rewritten to just call mc-sign-region.
	Upshot of all this is to allow signing in arbitrary buffers, not
	just message buffers.

Mon May  8 16:02:45 1995  Patrick J. LoPresti  <patl@eiffel.lcs.mit.edu>

	* mailcrypt.el (mc-always-replace): Add 'never option.
	(mc-message): Remove "is-err" argument.
	Only deactivate passphrase on "Bad passphrase" error.
